> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Chart of Accounts

> This endpoint retrieves a business's chart of accounts.

### Path Parameters

<ParamField path="business_id" required="true" type="string">
  ID of the [Business](/api-reference/business/business) the Chart of Accounts is associated with.
</ParamField>

### Response

Returns the [Chart of Accounts](/api-reference/ledger/chart#attributes) for the [Business](/api-reference/business/business)

<RequestExample>
  ```bash Request theme={null}
  curl https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb/ledger/chart \
    -H "Authorization: Bearer <access_token>"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "data": {
          "type": "Chart_Of_Accounts",
          "accounts": [
              {
                  "id": "6ac7e685-4859-43a0-9f26-61e57c31f4ea",
                  "name": "Expenses",
                  "stable_name": "EXPENSES",
                  "normality": "DEBIT",
                  "account_type": {
                      "value": "EXPENSE",
                      "display_name": "Expenses"
                  },
                  "account_subtype": null,
                  "sub_accounts": [
                      {
                          "id": "ab16f453-6b0f-416d-bcc9-92edba3b6e0a",
                          "name": "Cost of Goods Sold",
                          "stable_name": "COGS",
                          "normality": "DEBIT",
                          "account_type": {
                              "value": "EXPENSE",
                              "display_name": "Expenses"
                          },
                          "account_subtype": {
                              "value": "COGS",
                              "display_name": "COGS"
                          },
                          "sub_accounts": [
                          // Sub-accounts omitted for brevity
                          ]
                      },
                      {
                          "id": "ab5f3795-734e-4b12-b9a1-c32ec4b43c2e",
                          "name": "Operating Expenses",
                          "stable_name": "OPERATING_EXPENSES",
                          "normality": "DEBIT",
                          "account_type": {
                              "value": "EXPENSE",
                              "display_name": "Expenses"
                          },
                          "account_subtype": {
                              "value": "OPERATING_EXPENSES",
                              "display_name": "Operating Expenses"
                          },
                          "sub_accounts": [
                          // Sub-accounts omitted for brevity
                          ]
                      },
                  ]
              },
              {
                  "id": "700a1b71-0b38-4d36-b46c-c0610f7849b5",
                  "name": "Revenue",
                  "stable_name": "REVENUE",
                  "normality": "CREDIT",
                  "account_type": {
                      "value": "REVENUE",
                      "display_name": "Revenue"
                  },
                  "account_subtype": null,
                  "sub_accounts": [
                      {
                          "id": "59d427f8-4681-4a8c-926e-3c3963b24e8f",
                          "name": "Service Revenue",
                          "stable_name": "SERVICES_REVENUE",
                          "normality": "CREDIT",
                          "account_type": {
                              "value": "REVENUE",
                              "display_name": "Revenue"
                          },
                          "account_subtype": {
                              "value": "SALES",
                              "display_name": "Sales"
                          },
                          "sub_accounts": []
                      },
                      {
                          "id": "d9ac1801-3433-4666-9e49-597c3d8c9816",
                          "name": "Sale of Goods Revenue",
                          "stable_name": "GOODS_REVENUE",
                          "normality": "CREDIT",
                          "account_type": {
                              "value": "REVENUE",
                              "display_name": "Revenue"
                          },
                          "account_subtype": {
                              "value": "SALES",
                              "display_name": "Sales"
                          },
                          "sub_accounts": []
                      }
                  ]
              },
              // Additional accounts omitted for brevity
          ]
      }
  }
  ```
</ResponseExample>
